package es.prodevelop.gvsig.mini.geom.api;

import es.prodevelop.gvsig.mini.geom.api.IGeometry;

public interface IFeature {

	public static final String ID = "ID";
	public static final String NAME = "NAME";
	public static final String DESC = "DESC";

	/**
	 * 
	 * @return true if the feature is visible (is drawn on the screen)
	 */
	public abstract boolean isVisible();

	/**
	 * Sets the feature and its geometry visible or not
	 * 
	 * @param visible
	 */
	public abstract void setVisible(final boolean visible);

	/**
	 * 
	 * @return THe geometry
	 */
	public abstract IGeometry getGeometry();

	/**
	 * Sets the geometry
	 * 
	 * @param geometry
	 *            A geometry
	 */
	public abstract void setGeometry(final IGeometry geometry);

	/**
	 * Clears this instance
	 */
	public abstract void destroy();

}