package es.prodevelop.gvsig.mini.geom.impl.jts;

import java.util.ArrayList;

import es.prodevelop.gvsig.mini.geom.api.IGeometry;
import es.prodevelop.gvsig.mini.geom.impl.base.Feature;

public class JTSFeature extends Feature {

	private ArrayList<JTSFeature> features = new ArrayList<JTSFeature>();
	private JTSEnvelope envelope;
	private JTSFeature parentFeature = null;

	public JTSFeature(IGeometry geometry) {
		super(geometry);
		envelope = new JTSEnvelope();
	}

	public void setEnvelope(JTSEnvelope envelope) {
		this.envelope = envelope;
	}

	public void setEnvelope(double minX, double minY, double maxX, double maxY) {
		this.envelope.init(minX, maxX, minY, maxY);
	}

	public JTSEnvelope getEnvelope() {
		return this.envelope;
	}

	public ArrayList<JTSFeature> getFeatures() {
		return features;
	}

	public JTSFeature getParentFeature() {
		return parentFeature;
	}

	public void setParentFeature(JTSFeature parentFeature) {
		this.parentFeature = parentFeature;
	}
}
